Get OMS export log history by query - Fabric
Get OMS export log history by query
cURL
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/exports/history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"filters": {
"retail": {
"locationNum": 12
},
"orderSubTotal": {
"gte": 1300,
"lt": 1400
},
"orderNumber": "order-*Z",
"statusCode": [\
"ORDER_CREATED"\\]
"createdAt": {
"lt": "2022-09-11T23:12:00.123Z"
},
"shipInfo": {
"shipToId": [\
"23434",\
"23436"\\]
}
},
"limit": 10,
"offset": 0,
"sortBy": "updatedAt",
"sortDirection": "desc"
}
'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/exports/history"
payload = {
"filters": {
"retail": { "locationNum": 12 },
"orderSubTotal": {
"gte": 1300,
"lt": 1400
},
"orderNumber": "order-*Z",
"statusCode": ["ORDER_CREATED"],
"createdAt": { "lt": "2022-09-11T23:12:00.123Z" },
"shipInfo": { "shipToId": ["23434", "23436"] }
},
"limit": 10,
"offset": 0,
"sortBy": "updatedAt",
"sortDirection": "desc"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: {
retail: {locationNum: 12},
orderSubTotal: {gte: 1300, lt: 1400},
orderNumber: 'order-*Z',
statusCode: ['ORDER_CREATED'],
createdAt: {lt: '2022-09-11T23:12:00.123Z'},
shipInfo: {shipToId: ['23434', '23436']}
},
limit: 10,
offset: 0,
sortBy: 'updatedAt',
sortDirection: 'desc'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/exports/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/exports/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'retail' => [
'locationNum' => 12
],
'orderSubTotal' => [
'gte' => 1300,
'lt' => 1400
],
'orderNumber' => 'order-*Z',
'statusCode' => [
'ORDER_CREATED'
],
'createdAt' => [
'lt' => '2022-09-11T23:12:00.123Z'
],
'shipInfo' => [
'shipToId' => [
'23434',
'23436'
]
]
],
'limit' => 10,
'offset' => 0,
'sortBy' => 'updatedAt',
'sortDirection' => 'desc'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/exports/history"
payload := strings.NewReader("{\n \"filters\": {\n \"retail\": {\n \"locationNum\": 12\n },\n \"orderSubTotal\": {\n \"gte\": 1300,\n \"lt\": 1400\n },\n \"orderNumber\": \"order-*Z\",\n \"statusCode\": [\n \"ORDER_CREATED\"\n ],\n \"createdAt\": {\n \"lt\": \"2022-09-11T23:12:00.123Z\"\n },\n \"shipInfo\": {\n \"shipToId\": [\n \"23434\",\n \"23436\"\n ]\n }\n },\n \"limit\": 10,\n \"offset\": 0,\n \"sortBy\": \"updatedAt\",\n \"sortDirection\": \"desc\"}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Node.js
HttpResponse<String> response = Unirest.post("https://prod01.oms.fabric.inc/api/v2/exports/history")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"retail\": {\n \"locationNum\": 12\n },\n \"orderSubTotal\": {\n \"gte\": 1300,\n \"lt\": 1400\n },\n \"orderNumber\": \"order-*Z\",\n \"statusCode\": [\n \"ORDER_CREATED\"\n ],\n \"createdAt\": {\n \"lt\": \"2022-09-11T23:12:00.123Z\"\n },\n \"shipInfo\": {\n \"shipToId\": [\n \"23434\",\n \"23436\"\n ]\n }\n },\n \"limit\": 10,\n \"offset\": 0,\n \"sortBy\": \"updatedAt\",\n \"sortDirection\": \"desc\"}")
.asString();
Responses
[200]
[400]
[404]
[500]
Response Example
{
"count": 100,
"limit": 10,
"offset": 1
}
{
"message": "[filters must not be null]"
}
{
"message": "Not Found"
}
{
"message": "Internal Server Error"
}
Authorizations
- Authorization
Bearer <token>- Bearer authentication header of the formBearer <token>, where<token>is your auth token.
Headers
- x-site-context: required
Thex-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.